Subject: Re: Does Cygwin run on Windows 2003 64 bit?
From: Kai Tietz <[email-masked]>
To: rajeevs <[email-masked]>
Cc: [email-masked]
Date: Thu, 5 Feb 2009 14:07:54 +0100
List-Id: <cygwin.cygwin.com>

[email-masked] wrote on 05.02.2009 13:53:42:

> 
> Hi There,
> 
> please go through the follows:
> 
> 1)      I want to create a 64 bit DLL using Cygwin in Windows Serever 
2003
> 64 bit platform.
> 2)      I am using Cygwin to run the make file
> 3)      In the make file I have a macro ?CFLAGS? where gave the option
> ?-m64? in the make file for 64 bit build 
> 4)      But when I use this option I am getting an error like:
> 
> $ make -f makefile_64
> g++ -c -DWIN64 -D"__int64=long long" -trigraphs -I../include
> -IC:/Progra~1/Java/jdk1.5.0_10/include
> -IC:/Progra~1/Java/jdk1.5.0_10/include/win32 -mno-cygwin -m64 Abc.C -o 
Abc.o
> Abc.C:1: sorry, unimplemented: 64-bit mode not compiled in
> make: *** [Abc.o] Error 1
> 
> 5)      The main thing is that I don?t know exactly what should be the
> option we have to give under cygwin for building a 64 bit DLL (though I 
have
> used ?-m64? option), but  in Linux if you use this option, you?ll get 
the 64
> bit .SO file!!!
> 
> i tried alot but tillnow didn't get the solution.
> 
> Please suggest me some alternative options if anybody have.
> 
> Thanks in advance!
> Rajeev
> 
> samuel.m.snitman wrote:
> > 
> > Can you please tell me if Cygwin is expected to run on Windows 2003 64
> > bit Enterprise Edition?
> > 
> > Thanks,
> > 
> > Sam Snitman
> > Accenture
> > Mercury ITG Team
> > US Delivery Centre (USDC)
> > Delivery Centre Network 
> > [email-masked] 
> > Direct Dial: 281-675-5032
> > AIM: SntmnS
> > 
> > 
> > 
> > This message is for the designated recipient only and may contain
> > privileged, proprietary, or otherwise private information.  If you 
have
> > received it in error, please notify the sender immediately and delete 
the
> > original.  Any other use of the email by you is prohibited.
> > 
> > --
> > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > Problem reports:       http://cygwin.com/problems.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/
> > 
> > 
> > 
> 
> -- 
> View this message in context: http://www.nabble.com/Does-Cygwin-run-
> on-Windows-2003-64-bit--tp13028952p21850812.html
> Sent from the Cygwin list mailing list archive at Nabble.com.
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

You need to take a 64-bit capable cross toolchain for compiling 64-bit 
windows DLLs.
You can take a look at the MinGW-w64 project at 
http://sourceforge.net/project/showfiles.php?group_id=202880&package_id=245516&release_id=538973

---

Kai

|  (\_/)  This is Bunny. Copy and paste Bunny
| (='.'=) into your signature to help him gain
| (")_(") world domination.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/